Subject: bug#24724: 25.1; Arabic Printing Problem

From: Waleed Yousef <[email-masked]>
Date: Tue, 18 Oct 2016 19:43:09 +0000

I reread your reply; it seems that I misunderstood you.

However, I think we have two possibilties: either the ps file is produced
in reverse character order or the gs program renders it this way.

On Oct 18, 2016 6:13 PM, "Waleed Yousef" <[email-masked]> wrote:

>
> Sorry I did not say that; I just said when I write in libreoffice, I can
> print well.
>
> When I write Arabic in emacs, the buffer looks great. However, when I
> spool to ps and open this ps using Ghostscript the letters are
> reversed. Another clue is this: when I run ps2pdf to the ps file it
> fails converting.
>
>
>
> Eli Zaretskii <[email-masked]> writes:
>
> >> From: Waleed Yousef <[email-masked]>
> >> Cc: [email-masked]
> >> Date: Tue, 18 Oct 2016 17:17:04 +0000
> >>
> >> I just want to be able to print Arabic buffers to pdf or to printer. I
> >> searched alot and then found the .emacs snippet that I included in my
> >> email. If there is another easier way that will be great.
> >
> > So you are saying that djvmono.bdf font (or maybe BDF fonts in
> > general) make the bidirectional text look in the correct order, while
> > other fonts don't?  My guess would be that Ghostscript is reordering
> > the text, I see a bidi module in its sources.  So I think the key to
> > this puzzle is to use Ghostscript.
>